Subject: bug#11117: closed (Re: bug#11117: Suggestion to mark the the arrow for translation)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Mar 2012 08:43:02 +0000

Your bug report

#11117: Suggestion to mark the the arrow for translation

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11117: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11117
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11117: Suggestion to mark the the arrow for translation
From: Pádraig Brady <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked],Göran Uddeborg <[email-masked]>
Date: Thu, 29 Mar 2012 09:10:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 11117 notabug

On 03/29/2012 07:03 AM, Paul Eggert wrote:
> On 03/28/2012 01:38 PM, Göran Uddeborg wrote:
> 
>>           DIRED_FPUTS_LITERAL (_(" -> "), stdout);
> 
> Enough programs expect '->' that it may be wise to leave it alone.
> Also, POSIX requires that 'ls' use '->', and does
> not allow 'ls' to use '→' in any locale.
> 
> I like the nicer arrows, though.  Perhaps 'ls' could output
> them if given a new option (here I duck and run....).

This came up a couple of times already,
so I'm marking this as "done".

http://lists.gnu.org/archive/html/bug-coreutils/2009-08/msg00023.html
http://lists.gnu.org/archive/html/bug-coreutils/2009-09/msg00096.html

Note '→' often displays less clearly with monospace fonts
used on terminals.

cheers,
Pádraig.

Subject: Suggestion to mark the the arrow for translation
From: "Göran Uddeborg" <[email-masked]>
To: [email-masked]
Date: Wed, 28 Mar 2012 22:38:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When printing a symbolic link in ls, the target of the link is printed
like this:

      if (f->linkname)
        {
          DIRED_FPUTS_LITERAL (" -> ", stdout);
          print_name_with_quoting (f, true, NULL, (p - buf) + w + 4);

I would suggest marking the arrow for translation.

          DIRED_FPUTS_LITERAL (_(" -> "), stdout);

In translations using Unicode a "real" arrow, the "rightwards arrow"
(U+2192), can be used instead of the "ascii art arrow" traditionally
used.